=== debian/changelog ===
libgff (1.0-2) unstable; urgency=medium

  * Team upload.
  * Cleanup watch file
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4

 -- Andreas Tille <tille@debian.org>  Wed, 04 Jul 2018 13:21:11 +0200

libgff (1.0-1) unstable; urgency=low

  * Initial release (Closes: #800336)

 -- Michael R. Crusoe <crusoe@ucdavis.edu>  Fri, 18 Sep 2015 20:31:46 -0700
