=== debian/control ===
Source: libgff
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <crusoe@ucdavis.edu>
Section: libdevel
Priority: optional
Build-Depends: debhelper (>= 11~),
               cmake
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/med-team/libgff
Vcs-Git: https://salsa.debian.org/med-team/libgff.git
Homepage: https://github.com/Kingsford-Group/libgff

Package: libgff-dev
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: GFF/GTF parsing from cufflinks as a library
 This is a simple "libraryfication" of the GFF/GTF parsing code that is used in
 the Cufflinks codebase.  There are not many (any?) relatively lightweight
 GTF/GFF parsers exposing a C++ interface, and the goal of this library is to
 provide this functionality without the necessity of drawing in a heavy-weight
 dependency like SeqAn.
