=== debian/watch ===
version=4

https://github.com/Kingsford-Group/libgff/releases .*/archive/v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
