=== debian/changelog ===
libgff (2.0.0-3) unstable; urgency=medium

  * Team upload.
  * Really fix watch file
  * Add missing build dependency on dh addon.

 -- Andreas Tille <tille@debian.org>  Fri, 21 Jan 2022 16:14:04 +0100

libgff (2.0.0-2) unstable; urgency=medium

  * Team upload.
  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 30 Sep 2021 11:55:31 +0200

libgff (2.0.0-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 16 Jul 2020 13:09:49 +0200

libgff (1.0-4) unstable; urgency=medium

  * Team upload.
  * Test-Depends: build-essential
    Closes: #962554

 -- Andreas Tille <tille@debian.org>  Tue, 09 Jun 2020 22:01:02 +0200

libgff (1.0-3) unstable; urgency=medium

  [ Nilesh Patra ]
  * Team Upload.
  * Add autopkgtests
  * Install relevant examples
  * Fix with cme
  * Add upstream/metadata
  * Fix white space
  * Fix file permissions and trailing white spaces

  [ Andreas Tille ]
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add salsa-ci file (routine-update)

 -- Nilesh Patra <npatra974@gmail.com>  Tue, 02 Jun 2020 22:44:25 +0530
