=== debian/control ===
Source: libgff
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Section: libdevel
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               debhelper
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/med-team/libgff
Vcs-Git: https://salsa.debian.org/med-team/libgff.git
Homepage: https://github.com/COMBINE-lab/libgff
Rules-Requires-Root: no

Package: libgff-dev
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: GFF/GTF parsing from cufflinks as a library
 This is a simple "libraryfication" of the GFF/GTF parsing code that is used in
 the Cufflinks codebase.  There are not many (any?) relatively lightweight
 GTF/GFF parsers exposing a C++ interface, and the goal of this library is to
 provide this functionality without the necessity of drawing in a heavy-weight
 dependency like SeqAn.
