=== debian/rules ===
--- 
+++ 
@@ -5,3 +5,6 @@
 %:
 	dh $@
 
+override_dh_fixperms:
+	dh_fixperms
+	find debian -name '*.gtf' | xargs chmod -x
