=== debian/tests/control ===
Tests: run-unit-test
Depends: @, build-essential, python-pysam-tests
Restrictions: allow-stderr
