=== debian/watch ===
version=4

https://github.com/COMBINE-lab/libgff/tags .*/v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
